Package ghidra.graph.viewer.event.mouse

# Class VisualGraphPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
ghidra.graph.viewer.event.mouse.JungPickingGraphMousePlugin<V,E>
ghidra.graph.viewer.event.mouse.VisualGraphPickingGraphMousePlugin<V,E>

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseListener`, `MouseMotionListener`, `EventListener`

public class VisualGraphPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>> extends JungPickingGraphMousePlugin<V,E> implements VisualGraphMousePlugin<V,E>

- ## Field Summary

  ### Fields inherited from class ghidra.graph.viewer.event.mouse.JungPickingGraphMousePlugin

  `addToSelectionModifiers, edge, lensColor, lensPaintable, locked, offsetx, offsety, rect, vertex`

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphPickingGraphMousePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkModifiers(MouseEvent e)`
  `void`
  `mouseDragged(MouseEvent e)`
  If the mouse is over a picked vertex, drag all picked vertices with the mouse.
  `void`
  `mouseMoved(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  For primary modifiers (default, MouseButton1): pick a single Vertex or Edge that is under the mouse pointer.
  `void`
  `mouseReleased(MouseEvent e)`
  If the mouse is dragging a rectangle, pick the Vertices contained in that rectangle clean up settings from mousePressed

  ### Methods inherited from class ghidra.graph.viewer.event.mouse.JungPickingGraphMousePlugin

  `getLensColor, isLocked, mouseClicked, mouseEntered, mouseExited, pickContainedVertices, setLensColor, setLocked`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `dispose, getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Constructor Details

  - ### VisualGraphPickingGraphMousePlugin

    public VisualGraphPickingGraphMousePlugin()

- ## Method Details

  - ### checkModifiers

    public boolean checkModifiers(MouseEvent e)
    Specified by:
      `checkModifiers` in interface `edu.uci.ics.jung.visualization.control.GraphMousePlugin`
    Overrides:
      `checkModifiers` in class `edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin`

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Description copied from class: `JungPickingGraphMousePlugin`
    For primary modifiers (default, MouseButton1): pick a single Vertex or Edge that is under the mouse pointer. If no Vertex or edge is under the pointer, unselect all picked Vertices and edges, and set up to draw a rectangle for multiple selection of contained Vertices. For additional selection (default Shift+MouseButton1): Add to the selection, a single Vertex or Edge that is under the mouse pointer. If a previously picked Vertex or Edge is under the pointer, it is un-picked. If no vertex or Edge is under the pointer, set up to draw a multiple selection rectangle (as above) but do not unpick previously picked elements.
    Specified by:
      `mousePressed` in interface `MouseListener`
    Overrides:
      `mousePressed` in class `JungPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`
    Parameters:
      `e` - the event

  - ### mouseDragged

    public void mouseDragged(MouseEvent e)
    Description copied from class: `JungPickingGraphMousePlugin`
    If the mouse is over a picked vertex, drag all picked vertices with the mouse. If the mouse is not over a Vertex, draw the rectangle to select multiple Vertices
    Specified by:
      `mouseDragged` in interface `MouseMotionListener`
    Overrides:
      `mouseDragged` in class `JungPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### mouseMoved

    public void mouseMoved(MouseEvent e)
    Specified by:
      `mouseMoved` in interface `MouseMotionListener`
    Overrides:
      `mouseMoved` in class `JungPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Description copied from class: `JungPickingGraphMousePlugin`
    If the mouse is dragging a rectangle, pick the Vertices contained in that rectangle clean up settings from mousePressed
    Specified by:
      `mouseReleased` in interface `MouseListener`
    Overrides:
      `mouseReleased` in class `JungPickingGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`